> ## Documentation Index
> Fetch the complete documentation index at: https://docs.2501.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST - /agents/{id}/query



## OpenAPI

````yaml post /agents/{AGENT_ID}/query
openapi: 3.0.0
info:
  title: API (Engine)
  version: 1.0.0
servers:
  - url: http://{{api_host}}
security: []
tags:
  - name: agents
paths:
  /agents/{AGENT_ID}/query:
    post:
      tags:
        - agents
      summary: POST - /agents/{id}/query
      parameters:
        - name: AGENT_ID
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                query: create now a file inside random name is fine
      responses:
        '201':
          description: Created
          headers:
            X-Powered-By:
              schema:
                type: string
                example: Express
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '21'
            ETag:
              schema:
                type: string
                example: W/"15-8dRwwVTTJiKW/oLeLTG4mcsn8/Q"
            Date:
              schema:
                type: string
                example: Fri, 23 Aug 2024 14:12:26 GMT
            Connection:
              schema:
                type: string
                example: keep-alive
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
          content:
            application/json:
              schema:
                type: object
              example:
                asynchronous: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````